Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ConsultSupportAndRepairResponseType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ConsultSupportAndRepairResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class ConsultSupportAndRepairResponseType

extends Object
implements Serializable

Groeperend element voor het antwoord op de vraag tot consultatie van het actief budget onderhoud en herstel van een bestaande aanvraag.

Java class for ConsultSupportAndRepairResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType" minOccurs="0"/>
             <choice>
               <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultSupportAndRepairAcceptedType"/>
               <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultSupportAndRepairNotAcceptedType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultSupportAndRepairResponseType()`

Method Summary
`ConsultSupportAndRepairAcceptedType` | `getAccepted()` Gets the value of the accepted property.
`ConsultSupportAndRepairNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
`String` | `getVSBReference()` Gets the value of the vsbReference property.
`void` | `setAccepted(ConsultSupportAndRepairAcceptedType value)` Sets the value of the accepted property.
`void` | `setNotAccepted(ConsultSupportAndRepairNotAcceptedType value)` Sets the value of the notAccepted property.
`void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultSupportAndRepairResponseType

    public ConsultSupportAndRepairResponseType()

Method Detail

### getVSBReference

    public String getVSBReference()

  Gets the value of the vsbReference property.

  Returns:
    possible object is `String`

### setVSBReference

    public void setVSBReference(String value)

  Sets the value of the vsbReference property.

  Parameters:
    `value` - allowed object is `String`

### getNotAccepted

    public ConsultSupportAndRepairNotAcceptedType getNotAccepted()

  Gets the value of the notAccepted property.

  Returns:
    possible object is `ConsultSupportAndRepairNotAcceptedType`

### setNotAccepted

    public void setNotAccepted(ConsultSupportAndRepairNotAcceptedType value)

  Sets the value of the notAccepted property.

  Parameters:
    `value` - allowed object is `ConsultSupportAndRepairNotAcceptedType`

### getAccepted

    public ConsultSupportAndRepairAcceptedType getAccepted()

  Gets the value of the accepted property.

  Returns:
    possible object is `ConsultSupportAndRepairAcceptedType`

### setAccepted

    public void setAccepted(ConsultSupportAndRepairAcceptedType value)

  Sets the value of the accepted property.

  Parameters:
    `value` - allowed object is `ConsultSupportAndRepairAcceptedType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.